Create  Edit  FrontPage  Index  Search  Changes  History  RSS  Login

News (2014-10-26 No.1)

Ruby-GNOME2 2.2.3 has been released!

Posted by admin on 2014-10-26 (Sun) 04:45:36

It is a bug fix release.

It's recommended that you upgrade if your application uses thread and runs on Ruby 2.0 or later.

Install

% gem install gtk2
% gem install gtk3

Downloads

ruby-gtk2-2.2.3.tar.gz
The minimum package for GTK+ 2 which includes Ruby/GLib2, Ruby/GObjectIntrospection, Ruby/GIO2, Ruby/ATK, Ruby/GdkPixbuf2, Ruby/Pango and Ruby/GTK2.
ruby-gtk3-2.2.3.tar.gz
The minimum package for GTK+ 3 which includes Ruby/GLib2, Ruby/GIO2, Ruby/ATK, Ruby/GdkPixbuf2, Ruby/Pango, Ruby/GDK3 and Ruby/GTK3.
ruby-gnome2-all-2.2.3.tar.gz
All of Ruby-GNOME2 libraries.

Changes

All

  • Improvements
    • Supported auto native package install on SuSE.

Ruby/GLib2

  • Fixes
    • Fixed infinite loop bug on Ruby 2.0 or later. [ruby-gnome2-devel-ja] [Reported by Toshi Hatsune]

Ruby/GDK3

  • Fixes
    • Added missing dependencies. [GitHub#258] [Reported by Luis Daniel Gonzalez Orozco]

Ruby/CairoGObject

  • Improvements
    • Supported auto required native package install by Homebrew.
  • Fixes
    • Fixed wrong package name on Debian.

Ruby/VTE3

  • Improvements
    • Supported auto required native package install by Homebrew.

Ruby/Clutter

  • Improvements
    • Added Clutter.check_version?.

Thanks

  • Luis Daniel Gonzalez Orozco
  • Toshi Hatsune
Last modified:2014/10/26 17:21:30
Keyword(s):
References: